//---------------------------------------------------------------------------
//
// Name:        USB LEDDlg.h
// Author:      Marcin
// Created:     2008-12-06 00:07:42
// Description: USB_LEDDlg class declaration
//
//---------------------------------------------------------------------------

#ifndef __USB_LEDDLG_h__
#define __USB_LEDDLG_h__

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/dialog.h>
#else
	#include <wx/wxprec.h>
#endif

//Do not add custom headers between 
//Header Include Start and Header Include End.
//wxDev-C++ designer will remove them. Add custom headers after the block.
////Header Include Start
#include <wx/stattext.h>
#include <wx/checkbox.h>
////Header Include End
#include "USBfun.h"

////Dialog Style Start
#undef USB_LEDDlg_STYLE
#define USB_LEDDlg_STYLE wxCAPTION | wxSYSTEM_MENU | wxDIALOG_NO_PARENT | wxMINIMIZE_BOX | wxCLOSE_BOX
////Dialog Style End

class USB_LEDDlg : public wxDialog
{
	private:
		DECLARE_EVENT_TABLE();
		
	public:
		USB_LEDDlg(wxWindow *parent, wxWindowID id = 1, const wxString &title = wxT("AVR - USB"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = USB_LEDDlg_STYLE);
		virtual ~USB_LEDDlg();
		void WxCheckBox1Click(wxCommandEvent& event);
		void WxButton1Click(wxCommandEvent& event);
		void OUT1_boxClick(wxCommandEvent& event);
		void OUT2_boxClick(wxCommandEvent& event);
		void OUT3_boxClick(wxCommandEvent& event);
		void OUT4_boxClick(wxCommandEvent& event);
	
	private:
		//Do not add custom control declarations between 
		//GUI Control Declaration Start and GUI Control Declaration End.
		//wxDev-C++ will remove them. Add custom code after the block.
		////GUI Control Declaration Start
		wxStaticText *WxStaticText1;
		wxCheckBox *OUT4_box;
		wxCheckBox *OUT3_box;
		wxCheckBox *OUT2_box;
		wxCheckBox *OUT1_box;
		////GUI Control Declaration End
		
	private:
		//Note: if you receive any error with these enum IDs, then you need to
		//change your old form code that are based on the #define control IDs.
		//#defines may replace a numeric value for the enum names.
		//Try copy and pasting the below block in your old form header files.
		enum
		{
			////GUI Enum Control ID Start
			ID_WXSTATICTEXT1 = 1006,
			ID_OUT4_BOX = 1005,
			ID_LED3_BOX = 1004,
			ID_OUT2_BOX = 1003,
			ID_OUT1_BOX = 1002,
			////GUI Enum Control ID End
			ID_DUMMY_VALUE_ //don't remove this value unless you have other enum values
		};
	
	private:
		void OnClose(wxCloseEvent& event);
		void CreateGUIControls();
};

#endif
