//-------------------------------------------------------------------//
//                         STEROWNIK AVR-USB
//						   Marcin Bieda 2008
//
//						   krokowy.h
//-------------------------------------------------------------------//

#ifndef KROKOWY_H_INCLUDED
#define KROKOWY_H_INCLUDED

#include <inttypes.h>

//--------------------------- Definicje wyprowadze i maski potrzebne do dziaania silnika krokowego

#define KROK_PORT C
#define KROK_PIN 0
#define KROK_MASKA ((1<<(KROK_PIN))|(1<<(KROK_PIN+1))|(1<<(KROK_PIN+2))|(1<<(KROK_PIN+3)))

#define SENS_PORT_A B
#define SENS_PORT_B D
#define SENS_PIN_A 0
#define SENS_PIN_B 7

//--------------------------- Funkcje silnika krokowego

void krok_wave (uint8_t);
void krok_full (uint8_t);
void krok_half (uint8_t);
void krok (uint8_t*, uint8_t);


#endif
