//---------------------------------------------------------------------------
//
// Name:        SterownikDlg.cpp
// Author:      Marcin
// Created:     2008-12-13 12:37:11
// Description: SterownikDlg class implementation
//
//---------------------------------------------------------------------------

#include "SterownikDlg.h"

//Do not add custom headers
//wxDev-C++ designer will remove them
////Header Include Start
#include "Images/SterownikDlg_WxStaticBitmap1_XPM.xpm"
////Header Include End

//----------------------------------------------------------------------------
// SterownikDlg
//----------------------------------------------------------------------------
//Add Custom Events only in the appropriate block.
//Code added in other places will be removed by wxDev-C++
////Event Table Start
BEGIN_EVENT_TABLE(SterownikDlg,wxDialog)
	////Manual Code Start
	////Manual Code End
	
	EVT_CLOSE(SterownikDlg::OnClose)
	EVT_CHOICE(ID_TRYB_PRACY,SterownikDlg::tryb_pracySelected)
	EVT_RADIOBUTTON(ID_PRAWO,SterownikDlg::lewoClick)
	EVT_RADIOBUTTON(ID_LEWO,SterownikDlg::lewoClick)
	EVT_TEXT_ENTER(ID_RPM,SterownikDlg::rpmTextEnter)
	EVT_SPIN_UP(ID_RPM,SterownikDlg::rpmSpinUp)
	EVT_SPIN_DOWN(ID_RPM,SterownikDlg::rpmSpinDown)
END_EVENT_TABLE()
////Event Table End

SterownikDlg::SterownikDlg(wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style)
: wxDialog(parent, id, title, position, size, style)
{
	CreateGUIControls();
}

SterownikDlg::~SterownikDlg()
{
} 

void SterownikDlg::CreateGUIControls()
{
	//Do not add custom code between
	//GUI Items Creation Start and GUI Items Creation End.
	//wxDev-C++ designer will remove them.
	//Add the custom code before or after the blocks
	////GUI Items Creation Start

	SetTitle(wxT("Sterownik silnika krokowego"));
	SetIcon(wxNullIcon);
	SetSize(8,8,320,297);
	Center();
	

	wxBitmap WxStaticBitmap1_BITMAP(SterownikDlg_WxStaticBitmap1_XPM);
	WxStaticBitmap1 = new wxStaticBitmap(this, ID_WXSTATICBITMAP1, WxStaticBitmap1_BITMAP, wxPoint(0,0), wxSize(84,84));
	WxStaticBitmap1->Enable(false);
	WxStaticBitmap1->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxNORMAL, false, wxT("Tahoma")));

	WxStaticText7 = new wxStaticText(this, ID_WXSTATICTEXT7, wxT("kierunek obrotu:"), wxPoint(71,75), wxDefaultSize, 0, wxT("WxStaticText7"));
	WxStaticText7->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxNORMAL, false, wxT("Tahoma")));

	WxStaticText6 = new wxStaticText(this, ID_WXSTATICTEXT6, wxT("tryb pracy:"), wxPoint(96,235), wxDefaultSize, 0, wxT("WxStaticText6"));
	WxStaticText6->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxNORMAL, false, wxT("Tahoma")));

	WxStaticText5 = new wxStaticText(this, ID_WXSTATICTEXT5, wxT("liczba krokw na peny obrt:"), wxPoint(12,195), wxDefaultSize, 0, wxT("WxStaticText5"));
	WxStaticText5->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxNORMAL, false, wxT("Tahoma")));

	WxStaticText4 = new wxStaticText(this, ID_WXSTATICTEXT4, wxT("rzeczywiste"), wxPoint(100,117), wxDefaultSize, 0, wxT("WxStaticText4"));
	WxStaticText4->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxNORMAL, false, wxT("Tahoma")));

	WxStaticText3 = new wxStaticText(this, ID_WXSTATICTEXT3, wxT("ustawione"), wxPoint(102,142), wxDefaultSize, 0, wxT("WxStaticText3"));
	WxStaticText3->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxNORMAL, false, wxT("Tahoma")));

	WxStaticText2 = new wxStaticText(this, ID_WXSTATICTEXT2, wxT("{"), wxPoint(77,119), wxDefaultSize, 0, wxT("WxStaticText2"));
	WxStaticText2->SetFont(wxFont(20, wxSWISS, wxNORMAL,wxNORMAL, false, wxT("Tahoma")));

	WxStaticText1 = new wxStaticText(this, ID_WXSTATICTEXT1, wxT("RPM"), wxPoint(47,130), wxDefaultSize, 0, wxT("WxStaticText1"));
	WxStaticText1->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxNORMAL, false, wxT("Tahoma")));

	wxArrayString arrayStringFor_tryb_pracy;
	arrayStringFor_tryb_pracy.Add(wxT("penokrokowy"));
	arrayStringFor_tryb_pracy.Add(wxT("pkrokowy"));
	arrayStringFor_tryb_pracy.Add(wxT("falowy"));
	tryb_pracy = new wxChoice(this, ID_TRYB_PRACY, wxPoint(160,232), wxSize(145,21), arrayStringFor_tryb_pracy, 0, wxDefaultValidator, wxT("tryb_pracy"));
	tryb_pracy->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxNORMAL, false, wxT("Tahoma")));
	tryb_pracy->SetSelection(0);

	oblicz_rpm = new wxTextCtrl(this, ID_OBLICZ_RPM, wxT("0"), wxPoint(160,142), wxSize(121,19), 0, wxDefaultValidator, wxT("oblicz_rpm"));
	oblicz_rpm->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxNORMAL, false, wxT("Tahoma")));

	prawo = new wxRadioButton(this, ID_PRAWO, wxT("prawo"), wxPoint(160,86), wxSize(113,17), 0, wxDefaultValidator, wxT("prawo"));
	prawo->SetValue(true);
	prawo->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxNORMAL, false, wxT("Tahoma")));

	lewo = new wxRadioButton(this, ID_LEWO, wxT("lewo"), wxPoint(160,62), wxSize(113,17), 0, wxDefaultValidator, wxT("lewo"));
	lewo->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxNORMAL, false, wxT("Tahoma")));

	ile_krokow = new wxSpinCtrl(this, ID_ILE_KROKOW, wxT("48"), wxPoint(160,192), wxSize(121,22), wxSP_ARROW_KEYS, 0, 100, 48);
	ile_krokow->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxNORMAL, false, wxT("Tahoma")));

	rpm = new wxSpinCtrl(this, ID_RPM, wxT("0"), wxPoint(160,115), wxSize(121,22), wxSP_ARROW_KEYS, 0, 100, 0);
	rpm->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxNORMAL, false, wxT("Tahoma")));
	////GUI Items Creation End
}

void SterownikDlg::OnClose(wxCloseEvent& /*event*/)
{
	Destroy();
}

int czy_jest_polaczenie (usb_dev_handle* handle)
{
    if(handle==NULL)
    {
        wxMessageDialog MsDl1(NULL,"Nie udao si poczyc z urzdzeniem. \nPodcz urzdzenie !!!","Bd!",wxOK|wxICON_ERROR);
        MsDl1.ShowModal();
        return 0;
    }
    else
        return 1;
}


/*
 * lewoClick
 */
void SterownikDlg::lewoClick(wxCommandEvent& event)
{
    int a=0;
    if(lewo->GetValue()==TRUE)
        a=1;
	if(czy_jest_polaczenie(handle))
	   wyslij_instrukcje(INS_KIERUNEK,a,handle);
}


/*
 * tryb_pracySelected
 */
void SterownikDlg::tryb_pracySelected(wxCommandEvent& event )
{
	if(czy_jest_polaczenie(handle))
	   wyslij_instrukcje(INS_STEROWANIE,tryb_pracy->GetSelection(),handle);
}


/*
 * rpmSpinDown
 */
void SterownikDlg::rpmSpinDown(wxSpinEvent& event )
{
	int v;
    v = rpm->GetValue();
    v--;
    
    int b=600000;
    if(tryb_pracy->GetSelection()==2)
        b=300000;
    
    if(v)
        v=b/v/ile_krokow->GetValue();
        
    if(czy_jest_polaczenie(handle))
	{
	    wyslij_instrukcje(INS_OPOZ,v,handle);
    }
    
    wxString a;
    a.Empty();
    if(v)
    {
        double x=v;
        a<<double(b/x/ile_krokow->GetValue());
    }
    else
        a<<"0";
    oblicz_rpm->Clear();
    oblicz_rpm->WriteText(a);
}

/*
 * rpmSpinUp
 */
void SterownikDlg::rpmSpinUp(wxSpinEvent& event)
{
	int v;
    v = rpm->GetValue();
    v++;
    
    int b=600000;
    if(tryb_pracy->GetSelection()==2)
        b=300000;
    
    if(v)
        v=b/v/ile_krokow->GetValue();

    if(czy_jest_polaczenie(handle))
	{
	       wyslij_instrukcje(INS_OPOZ,v,handle);
    }

    wxString a;
    a.Empty();
    if(v)
    {
        double x=v;
        a<<double(b/x/ile_krokow->GetValue());
    }
    else
        a<<"0";
    oblicz_rpm->Clear();
    oblicz_rpm->WriteText(a);
}

/*
 * rpmTextEnter
 */
void SterownikDlg::rpmTextEnter(wxCommandEvent& event)
{
	int v;
    v = rpm->GetValue();
    
    int b=600000;
    if(tryb_pracy->GetSelection()==2)
        b=300000;
    
    if(v)
        v=b/v/ile_krokow->GetValue();

    if(czy_jest_polaczenie(handle))
	{
	    wyslij_instrukcje(INS_OPOZ,v,handle);
    }

    wxString a;
    a.Empty();
    if(v)
    {
        double x=v;
        a<<double(b/x/ile_krokow->GetValue());
    }
    else
        a<<"0";
    oblicz_rpm->Clear();
    oblicz_rpm->WriteText(a);
}


