//---------------------------------------------------------------------------
//
// Name:        SterownikDlg.h
// Author:      Marcin
// Created:     2008-12-13 12:37:11
// Description: SterownikDlg class declaration
//
//---------------------------------------------------------------------------

#ifndef __STEROWNIKDLG_h__
#define __STEROWNIKDLG_h__

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/dialog.h>
#else
	#include <wx/wxprec.h>
#endif

//Do not add custom headers between 
//Header Include Start and Header Include End.
//wxDev-C++ designer will remove them. Add custom headers after the block.
////Header Include Start
#include <wx/statbmp.h>
#include <wx/stattext.h>
#include <wx/choice.h>
#include <wx/textctrl.h>
#include <wx/radiobut.h>
#include <wx/spinctrl.h>
////Header Include End
#include "USBfun.h"


////Dialog Style Start
#undef SterownikDlg_STYLE
#define SterownikDlg_STYLE wxCAPTION | wxSYSTEM_MENU | wxDIALOG_NO_PARENT | wxMINIMIZE_BOX | wxCLOSE_BOX
////Dialog Style End

class SterownikDlg : public wxDialog
{
	private:
		DECLARE_EVENT_TABLE();
		
	public:
		SterownikDlg(wxWindow *parent, wxWindowID id = 1, const wxString &title = wxT("Sterownik silnika krokowego"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = SterownikDlg_STYLE);
		virtual ~SterownikDlg();
		void lewoClick(wxCommandEvent& event);
		void prawoClick(wxCommandEvent& event);
		void tryb_pracySelected(wxCommandEvent& event );
		void rpmUpdated(wxSpinEvent& event );
		void rpmSpinDown(wxSpinEvent& event );
		void rpmSpinUp(wxSpinEvent& event);
		void rpmTextEnter(wxCommandEvent& event);
		void WxButton1Click(wxCommandEvent& event);
	
	private:
		//Do not add custom control declarations between 
		//GUI Control Declaration Start and GUI Control Declaration End.
		//wxDev-C++ will remove them. Add custom code after the block.
		////GUI Control Declaration Start
		wxStaticBitmap *WxStaticBitmap1;
		wxStaticText *WxStaticText7;
		wxStaticText *WxStaticText6;
		wxStaticText *WxStaticText5;
		wxStaticText *WxStaticText4;
		wxStaticText *WxStaticText3;
		wxStaticText *WxStaticText2;
		wxStaticText *WxStaticText1;
		wxChoice *tryb_pracy;
		wxTextCtrl *oblicz_rpm;
		wxRadioButton *prawo;
		wxRadioButton *lewo;
		wxSpinCtrl *ile_krokow;
		wxSpinCtrl *rpm;
		////GUI Control Declaration End
		
	private:
		//Note: if you receive any error with these enum IDs, then you need to
		//change your old form code that are based on the #define control IDs.
		//#defines may replace a numeric value for the enum names.
		//Try copy and pasting the below block in your old form header files.
		enum
		{
			////GUI Enum Control ID Start
			ID_WXSTATICBITMAP1 = 1016,
			ID_WXSTATICTEXT7 = 1014,
			ID_WXSTATICTEXT6 = 1013,
			ID_WXSTATICTEXT5 = 1012,
			ID_WXSTATICTEXT4 = 1011,
			ID_WXSTATICTEXT3 = 1010,
			ID_WXSTATICTEXT2 = 1009,
			ID_WXSTATICTEXT1 = 1008,
			ID_TRYB_PRACY = 1007,
			ID_OBLICZ_RPM = 1006,
			ID_PRAWO = 1005,
			ID_LEWO = 1004,
			ID_ILE_KROKOW = 1003,
			ID_RPM = 1002,
			////GUI Enum Control ID End
			ID_DUMMY_VALUE_ //don't remove this value unless you have other enum values
		};
	
	private:
		void OnClose(wxCloseEvent& event);
		void CreateGUIControls();
};

#endif
